package org.linlinjava.jz.dto;

import org.linlinjava.jz.db.domain.JzTicket;
import org.linlinjava.jz.db.domain.JzTicketConsult;
import org.linlinjava.jz.db.domain.JzTicketRelation;

public class TicketAllinone {
    //工单内容
    private JzTicket ticket;
    //工单关联
    private JzTicketRelation[] relations;
    //工单咨询内容
    private JzTicketConsult[] consults;
    //工单处理
    private TicketAction action;

    private Integer adminId;

    public void setAdminId(Integer adminId) {
        this.adminId = adminId;
    }

    public Integer getAdminId() {
        return adminId;
    }

    public void setAction(TicketAction action) {
        this.action = action;
    }

    public TicketAction getAction() {
        return action;
    }

    public void setTicket(JzTicket ticket) {
        this.ticket = ticket;
    }

    public JzTicket getTicket() {
        return ticket;
    }

    public void setConsults(JzTicketConsult[] consults) {
        this.consults = consults;
    }

    public JzTicketConsult[] getConsults() {
        return consults;
    }

    public void setRelations(JzTicketRelation[] relations) {
        this.relations = relations;
    }

    public JzTicketRelation[] getRelations() {
        return relations;
    }
}
